Debian Bug report logs - #553563
sendfile: file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile

version graph

Package: sendfile; Maintainer for sendfile is Martin Schulze <joey@debian.org>; Source for sendfile is src:sendfile.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Sun, 1 Nov 2009 06:51:13 UTC

Severity: serious

Found in version sendfile/2.1b.20080616-2

Fixed in version sendfile/2.1b.20080616-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553563; Package sendfile. (Sun, 01 Nov 2009 06:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 01 Nov 2009 06:51:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sendfile: file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile
Date: Sun, 01 Nov 2009 01:34:21 -0500
Package: sendfile
Version: 2.1b.20080616-2
Severity: serious
User: lintian-maint@debian.org
Usertags: file-in-etc-not-marked-as-conffile


Files in /etc must be marked conffiles if they are included in a
package. Otherwise they should be created by maintainer scripts.

Refer to Debian Policy Manual section 10.7 (Configuration files) for
details.


Filed as serious, since this is a violation of a must directive in
policy, and also since a package with these files will currently get
this package rejected. See
  http://lists.debian.org/debian-devel-announce/2009/10/msg00004.html
for details. This means the package has been deemed too buggy to be in
Debian.

manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sendfile depends on:
ii  libc6                       2.10.1-3     GNU C Library: Shared libraries
ii  libreadline5                5.2-6        GNU readline and history libraries
ii  openbsd-inetd [inet-superse 0.20080125-3 The OpenBSD Internet Superserver
ii  perl [perl5]                5.10.1-6     Larry Wall's Practical Extraction 

sendfile recommends no packages.

Versions of packages sendfile suggests:
pn  pgp-i                         <none>     (no description available)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553563; Package sendfile. (Sat, 28 Nov 2009 13:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 28 Nov 2009 13:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 553563@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553563@bugs.debian.org, 553850@bugs.debian.org
Subject: sendfile: diff for NMU version 2.1b.20080616-2.1
Date: Sat, 28 Nov 2009 13:57:33 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for sendfile (versioned as 2.1b.20080616-2.1). The diff
is attached to this message.

Cheers,
gregor, from the MUC BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #451:  astropneumatic oscillations in the water-cooling 
[sendfile-2.1b.20080616-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 13:06:08 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 13:06:09 GMT) Full text and rfc822 format available.

Message #15 received at 553563-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553563-close@bugs.debian.org
Subject: Bug#553563: fixed in sendfile 2.1b.20080616-2.1
Date: Sat, 28 Nov 2009 13:02:26 +0000
Source: sendfile
Source-Version: 2.1b.20080616-2.1

We believe that the bug you reported is fixed in the latest version of
sendfile, which is due to be installed in the Debian FTP archive:

sendfile_2.1b.20080616-2.1.diff.gz
  to main/s/sendfile/sendfile_2.1b.20080616-2.1.diff.gz
sendfile_2.1b.20080616-2.1.dsc
  to main/s/sendfile/sendfile_2.1b.20080616-2.1.dsc
sendfile_2.1b.20080616-2.1_i386.deb
  to main/s/sendfile/sendfile_2.1b.20080616-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553563@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated sendfile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 13:50:59 +0100
Source: sendfile
Binary: sendfile
Architecture: source i386
Version: 2.1b.20080616-2.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 sendfile   - Simple Asynchronous File Transfer
Closes: 553563 553850
Changes: 
 sendfile (2.1b.20080616-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile"
     by adding /etc/cron.weekly/sendfile to debian/conffiles (closes: #553563).
   * Fix "replacing libreadline5-dev build dependency with libreadline-
     dev" (closes: #553850).
Checksums-Sha1: 
 ec371805dcf15e2d41424b076eac0c0bf5a5767b 1657 sendfile_2.1b.20080616-2.1.dsc
 aba1d0db05e01b2ef15ab81faf912236dfc7b84e 14540 sendfile_2.1b.20080616-2.1.diff.gz
 b00f73e77ef83a427b0c438c7a0dbd294131ea31 252612 sendfile_2.1b.20080616-2.1_i386.deb
Checksums-Sha256: 
 01b3248d9494a57807388cfc919d4610308e2a7142757f5d9c71e4f8317284c8 1657 sendfile_2.1b.20080616-2.1.dsc
 fa8d590441d7e47d758374ac828f06f002ebbebd8aff5df23bf96a1efe4733f4 14540 sendfile_2.1b.20080616-2.1.diff.gz
 1cb907ca1fe1487412a44fafb986c46b2b11bb3f70b40b23439366e33fd7e93f 252612 sendfile_2.1b.20080616-2.1_i386.deb
Files: 
 2121a7339273006c22fd5edad30c6ca1 1657 net optional sendfile_2.1b.20080616-2.1.dsc
 faa23db8b1ecbcd022f2cbda28ef9f7f 14540 net optional sendfile_2.1b.20080616-2.1.diff.gz
 0117df164dd4b63fdab133c36f17d9a6 252612 net optional sendfile_2.1b.20080616-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLER2GAAoJELs6aAGGSaoG0DYQALyKqtPtoTF2ALPMcT4Bbgh3
P4ltYW0bTFi6UZt7OdFKH+fvlaFsi6KGhycs19UIW5hPhQ8VhJhcP3Q3DGW+vpTg
0/CsIRWdCDvvZctDz+wGK1zsHTf2/u84BnNF5C2hvdYszwW40BlztTUOkuHHJbVs
WeHwYS4LLfegyo1x1usOZuwiRzzPUYH28KN+U3PBZxYvvertetDOO7EXJi2eyLd3
nUHn6vaizEnIgQOVtjtSbLEXeIYcUjmUU9ANvyrAkV1VEPalI9dTRa+pGFRQUGcc
TXTBE72pafuv2OiQ82P2n+pxu0CLv4lIED6LrLjMYDialrml5cYWuQ93wukYAvsb
3Rj+t2Tr0qD8hGYCr8D2bc7d7lpfazCnsblVbdRwcPRjpsFwAnP/t/uoqC9yRKSz
9I30UrEl0vUWc6uUY4D1faM1Kzuw2s5lm0GUp3J6+KzPzeiUKcbIT3o63qDhtOEU
HU7GPZ5zCZR2XiWcdgTTg1OZcLrzLTLErHCoeoZfVlhYG+qYc0fadxFkZTaFOrHd
NBmPWtzO5naeMTfxjvNS1Sh6mPDzHZfyXOfbzXulL3k6ci+Yv+nqU329E4u4Rl4G
cbl+54Gk14uaVNDaibJqOK2FiioLFCnFFfe/779meA32FF193xsOEFhN2eQA+lz8
955FU1iWejoRpmH/OzEl
=0P7p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:19:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:10:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.